scoreboard players tag @a[x=7,y=4,z=7,dx=2,dy=2,dz=2] remove start
give @a[tag=!start] written_book 1 0 {pages:["[\"\",{\"text\":\"Welcome to \"},{\"text\":\"Yok - Voice of the Gods\",\"color\":\"dark_gray\"},{\"text\":\".\\n\\nThis is an experiment in map design, storytelling, and building a unique and immersive world.\\n\\nRead this book for important information about the map.\",\"color\":\"reset\"}]","[\"\",{\"text\":\"It is recommended, but not required, that you play my previous maps, \"},{\"text\":\"Yok\",\"underlined\":true,\"color\":\"dark_green\",\"clickEvent\":{\"action\":\"open_url\",\"value\":\"https://www.youtube.com/watch?v=FHHRqYLurAA\"}},{\"text\":\" and \",\"color\":\"reset\"},{\"text\":\"A Demon Within\",\"underlined\":true,\"color\":\"dark_red\",\"clickEvent\":{\"action\":\"open_url\",\"value\":\"https://www.youtube.com/watch?v=ZowVRL9CAVE\"}},{\"text\":\", as some previous story elements from that map have carried over to this one.\",\"color\":\"reset\"}]","{\"text\":\"The main goal of this map is to find the stonebrick temples located throughout the map and complete the puzzles hidden inside.\\n\\nSomething, or someone, comes out in the night, so when the sun goes down, your only choices are to run, hide, or die.\"}","{\"text\":\"There are beacons located throughout the map. Those beacons contain books that will reveal more of the story. They are not required, however.\"}"],title:README,author:"???"}
gamemode 2 @a[tag=!start]
scoreboard players enable @a[x=37,y=19,z=5,dx=4,dy=1,dz=3] start
execute @a[tag=!start] ~ ~ ~ setblock 39 19 5 stone_pressure_plate
scoreboard players enable @a[tag=!start] start
scoreboard players reset @a[tag=!start] temple
spawnpoint @@a[tag=!start] 39 19 8
tp @a[tag=!start] 39 19 8 -180 0
scoreboard players tag @a[tag=!start] add start
effect @a saturation 99999 10 true
effect @a resistance 99999 10 true
effect @a invisibility 99999 10 true
replaceitem entity @a slot.armor.chest leather_chestplate 1 0 {KB:1b,AttributeModifiers:[{AttributeName:"generic.knockbackResistance",Name:"generic.knockbackResistance",Amount:1,Operation:0,UUIDLeast:31742,UUIDMost:905614,Slot:"chest"}]}
scoreboard players tag @e[type=item] add killitem {Item:{id:"minecraft:leather_chestplate",tag:{KB:1b}}}
scoreboard players tag @a remove temp
scoreboard players tag @a[x=944,y=36,z=1216,dx=44,dy=58,dz=116] add temp
effect @a[m=!1,tag=!temp] night_vision 0
effect @a[tag=temp] night_vision 99999 9 true
execute @a[tag=temp] ~ ~ ~ detect ~ ~-1 ~ concrete 3 /effect @s levitation 1 20 true
execute @a[tag=temp] ~ ~ ~ detect ~ ~-1 ~ concrete 3 /particle explode ~ ~ ~ 0 0 0 0.2 10 force
scoreboard players add @a[score_time_min=13000,score_time=23000] nightamb 0
scoreboard players add @a[score_nightamb_min=0] nightamb 1
execute @a[score_nightamb_min=1,score_nightamb=1] ~ ~ ~ /playsound night master @s ~ ~ ~ 99999 1
scoreboard players set @a[score_nightamb_min=841] nightamb 0
stopsound @a[score_time_min=0,score_time=12999] master night
scoreboard players reset @a[score_time_min=0,score_time=12999] nightamb
execute @a[score_crouch=0] ~ ~ ~ detect ~ ~1 ~ air -1 scoreboard teams leave @s
execute @a ~ ~ ~ detect ~ ~ ~ water -1 scoreboard teams join hide @s
scoreboard teams join hide @a[tag=!temp,score_time_min=13000,score_crouch_min=1]
scoreboard players set @a[score_crouch_min=2] crouch 1
scoreboard teams leave @a[tag=mot]
effect @a[team=hide] slowness 1 2 true
effect @a[team=!hide] slowness 0
scoreboard players remove @a[score_crouch_min=1,score_crouch=1] crouch 1
effect @a[team=hide] invisibility 1 2 true
scoreboard teams join hide @e[type=zombie,name=Guardian]
scoreboard players set @a[score_spr_min=3] spr 2
scoreboard players remove @a[score_spr_min=1,score_spr=2] spr 1
effect @a[tag=!temp,score_spr_min=1,score_time_min=13000,score_time=23000] jump_boost 1 128 true
effect @a[m=!c,tag=!temp,score_spr=0] jump_boost 0
title @a[score_spr_min=1,tag=!temp,score_time_min=13000,score_time=23000] actionbar {"text":"You cannot jump while sprinting at night."}
kill @e[type=armor_stand,name=Logo]
summon armor_stand 39 20 6 {Marker:1b,Invisible:1b,NoGravity:1b,CustomName:"Logo",ArmorItems:[{},{},{},{id:"minecraft:stone_shovel",Count:1b}]}
particle endRod 1272 63.0 1271 0.3 0 0.3 0 1 force
tp @a[x=1248,y=38,z=1247,dy=1,tag=!alarm] 1248 38 1247 -90 30
execute @a[x=1272,y=63,z=1271,dy=1,score_temple_min=7] ~ ~ ~ tp @s 1272 202 1270 0 0
execute @a[score_temple_min=7] ~ ~ ~ particle cloud 1272 63 1271 2 2 2 0 10 force
scoreboard players add @a alarmTimer 1
execute @a[score_alarmTimer_min=75,tag=alarm] ~ ~ ~ playsound alarm master @a 1263 46 1255 2 1
scoreboard players set @a[score_alarmTimer_min=75] alarmTimer 0
execute @a[score_start_min=1] ~ ~ ~ setblock 64 36 13 redstone_block
scoreboard players reset @a[score_start_min=1] start
execute @a[tag=alarm] ~ ~ ~ time set day
execute @a ~ ~ ~ fill ~8 201 ~8 ~-8 201 ~-8 barrier 0 replace quartz_block 1
execute @a ~ ~ ~ fill ~2 201 ~2 ~-2 201 ~-2 quartz_block 1 replace barrier
particle portal 1272 203 1309 0 0 0 3 8 force
execute @a[x=37,y=18,z=-6,dx=4,dy=4,dz=15] ~ ~ ~ time set day
execute @a[x=1271,y=202,z=1309,dx=2,dy=2] ~ ~ ~ /blockdata 50 21 2 {auto:1b}
function yok2:temples
function yok2:motion
function yok1:misc
function yok1:tools